package org.project.item.weapons;

import org.project.entity.Entity;

public abstract class Weapon {
    protected int damage;
    protected int manaCost;


    public Weapon(int damage, int manaCost) {
        this.damage = damage;
        this.manaCost = manaCost;
    }

    public abstract void use(Entity target);

    public int getDamage() {
        return damage;
    }

    public int getManaCost() {
        return manaCost;
    }


}
